extends TreeColorDefault

func set_leaf_color(model_instance: Node3D):
	find_all_mesh_instances(model_instance)

	var material = ColorData.get_random_leaf_material(tree_name, current_season)

	update_material_by_name_with_material(model_instance, "leafsGreen", material)

	return

func set_trunk_color(model_instance: Node3D):
	find_all_mesh_instances(model_instance)

	var material = ColorData.get_random_trunk_material(tree_name, current_season)

	update_material_by_name_with_material(model_instance, "woodBark", material)

	return